org.mariadb.jdbc.internal.queryresults

## Class ExecutionResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.ExecutionResult

Direct Known Subclasses:
  MultiIntExecutionResult, SingleExecutionResult

    public abstract class ExecutionResult
    extends Object

### Field Summary

Fields
`protected MariaSelectResultSet` `result`

### Constructor Summary

Constructors
Constructor and Description
`ExecutionResult(Statement statement, int fetchSize, boolean selectPossible, boolean canHaveCallableResultset)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addResult(MariaSelectResultSet result, boolean moreResultAvailable)`
`abstract void` `addStats(long affectedRows, long insertId, boolean moreResultAvailable)`
`abstract void` `addStatsError()`
`void` `close()` Close resultset if needed.
`PrepareResult` `getFailureObject()`
`int` `getFetchSize()`
`abstract int` `getFirstAffectedRows()`
`abstract long[]` `getInsertIds()`
`MariaSelectResultSet` `getResult()`
`Statement` `getStatement()`
`boolean` `hasMoreResultAvailable()`
`abstract boolean` `hasMoreThanOneAffectedRows()`
`boolean` `isCanHaveCallableResultset()`
`boolean` `isSelectPossible()`
`void` `setFailureObject(PrepareResult failureObject)`
`void` `setFetchSize(int fetchSize)`
`protected void` `setMoreResultAvailable(boolean moreResultAvailable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    protected MariaSelectResultSet result

### Constructor Detail

#### ExecutionResult

    public ExecutionResult(Statement statement,
                           int fetchSize,
                           boolean selectPossible,
                           boolean canHaveCallableResultset)

Constructor.

Parameters:
  `statement` - current statement
  `fetchSize` - execution fetch size
  `selectPossible` - is select query possible ?
  `canHaveCallableResultset` - can the resultset be a Callable output resultset.

### Method Detail

#### getResult

    public MariaSelectResultSet getResult()

#### getStatement

    public Statement getStatement()

#### getFailureObject

    public PrepareResult getFailureObject()

#### setFailureObject

    public void setFailureObject(PrepareResult failureObject)

#### hasMoreResultAvailable

    public boolean hasMoreResultAvailable()

#### setMoreResultAvailable

    protected void setMoreResultAvailable(boolean moreResultAvailable)

#### getFetchSize

    public int getFetchSize()

#### setFetchSize

    public void setFetchSize(int fetchSize)

#### close

    public void close()
               throws SQLException

Close resultset if needed.

Throws:
  `SQLException` - if exception occur during resultset close.

#### addResult

    public abstract void addResult(MariaSelectResultSet result,
                                   boolean moreResultAvailable)

#### addStats

    public abstract void addStats(long affectedRows,
                                  long insertId,
                                  boolean moreResultAvailable)

#### getInsertIds

    public abstract long[] getInsertIds()

#### hasMoreThanOneAffectedRows

    public abstract boolean hasMoreThanOneAffectedRows()

#### getFirstAffectedRows

    public abstract int getFirstAffectedRows()

#### addStatsError

    public abstract void addStatsError()

#### isSelectPossible

    public boolean isSelectPossible()

#### isCanHaveCallableResultset

    public boolean isCanHaveCallableResultset()